=head1 NAME


XXV::MODULES::EVENTS



=head1 SYNOPSIS

  
  use XXV::MODULES::EVENTS
  my  = XXV::MODULES::EVENTS->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.01 - 10.02.2006

=head1 DESCRIPTION

This module manage the events for control and watch the xxv system.
An additional Loghandler is installed and parse every Message. If
a defined Event exists and match the keywords defined in
Module->RegEvent->SearchForEvent then call the Loghandler 'callEvent'.
This sub look in Module->RegEvent->Actions, and call this Routines.


=head1 CONFIGURATION

=over 4



=item 1 active

Aktiviere diesen Dienst

=over 4

=item * default: y

=item * type: confirm

=item * required: Yes

=back



=back

=head1 COMMANDS

=over 4



=item *  eedit (ee)

Ereignis bearbeiten



=item *  etoogle (eto)

Ändere ein Ereignis zwischen ein/aus



=item *  list (el)

Zeigt die Liste der Ereignisse



=back

=head1 REQUIREMENTS

=over 4



=item *  Data::Dumper

stringified perl data structures, suitable for both printing and eval



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
